#
# Makefile created by mfg (version 2.1)
#

TARGET =	libGToolKit.a
CLEAN =		GTKGladeXML.o GTKAction.o GToolKit.o GTK.o GTKApplication.o
ADDLIBS =
HEADERS =	GTKRuler.h GTKGladeXML.h GTKObject.h GTKLabel.h GTKAction.h \
		GTKToolbar.h GTKRadioMenuItem.h GTKTreeItem.h GTKVBox.h \
		GTKPreview.h GTKHPaned.h GTKDialog.h GTKHButtonBox.h \
		GTKHScrollbar.h GTKFixed.h GTKFrame.h GTKAccelLabel.h \
		GTKCTree.h GToolKit.h GTKEventBox.h GTKHRuler.h GTKText.h \
		GTKCheckButton.h GTKPlug.h GTKScrollbar.h GTKCurve.h \
		GTKHSeparator.h GTKTree.h GTKScrolledWindow.h \
		GTKInputDialog.h GTKCombo.h GTKOptionMenu.h \
		GTKColorSelectionDialog.h GTKHScale.h GTKImage.h \
		GTKButton.h GTKFontSelectionDialog.h GTKMenuFactory.h \
		GTKColorSelection.h GTKTearoffMenuItem.h GTKButtonBox.h \
		GTKSeparator.h GTKEntry.h GTKCheckMenuItem.h GTKItem.h \
		GTKVScale.h GTKScale.h GTKMenuItem.h GTKBin.h GTKTooltips.h \
		GTKTable.h GTKToggleButton.h GTKAccelGroup.h GTKRange.h \
		GTKListItem.h GTKArrow.h GTKMenuBar.h GTKDrawingArea.h \
		GTKLayout.h GTKWindow.h GTKFontSelection.h GTKHandleBox.h \
		GTKMisc.h GTKEditable.h GTKAspectFrame.h GTKVSeparator.h \
		GTKBox.h GTKGammaCurve.h GTKPaned.h GTKProgress.h \
		GTKNotebook.h GTKRadioButton.h GTKMain.h GTKStyle.h \
		GTKProgressBar.h GTKItemFactory.h GTKStatusbar.h \
		GTKViewport.h GTKApplication.h GTKMenuShell.h GTKCList.h \
		GTKAlignment.h GTK.h GTKVRuler.h GTKMenu.h GTKList.h \
		GTKWidget.h GTKHBox.h GTKVPaned.h GTKPixmap.h \
		GTKFileSelection.h GTKVScrollbar.h GTKVButtonBox.h \
		GTKPacker.h GTKTipsQuery.h GTKCalendar.h GTKAdjustment.h \
		GTKSpinButton.h GTKData.h GTKSocket.h GTKInvisible.h \
		GTKContainer.h
OBJECTS =	GTKGladeXML.o GTKAction.o GToolKit.o GTK.o GTKApplication.o
SOURCES =	GTKGladeXML.m GTKAction.m GToolKit.m GTK.m GTKApplication.m
JAVACLS =
JAVASRC =

#>		--- do not remove this line ---
AR =		ar
ARFLAGS =	cr
BINEXT =
CC =		@CC@
CFLAGS =	@CFLAGS@# -Wno-parentheses -Wno-import
CPPFLAGS =	@CPPFLAGS@
DEFS =		@DEFS@
DISTCLEAN =	Makefile config.h config.cache config.log config.status libtool
INCLUDES =	-I.. @GTK_CFLAGS@
INSTALL =	@INSTALL@
INSTALL_DATA =	$(INSTALL) -m 644
INSTALL_PROGRAM =	$(INSTALL) -s
LDFLAGS =	@LDFLAGS@
LEX =		@LEX@
LIBS =		@LIBS@ -lobjc @GTK_LIBS@ @PTHREAD@# -lm
LIBTOOL =	@LIBTOOL@ $(LTFLAGS)
LPR =		lpr -h
PROGRAMS =	$(OBJECTS:.o= )
RANLIB =	@RANLIB@
RM =		rm -f
VERSION =	0:94:0 -release 1.2
YACC =		@YACC@

prefix =	@prefix@
exec_prefix =	@exec_prefix@
bindir =	@bindir@
datadir =	@datadir@
includedir =	@includedir@
infodir =	@infodir@
libdir =	@libdir@
libexecdir =	@libexecdir@
mandir =	@mandir@
sbindir =	@sbindir@
sysconfdir =	@sysconfdir@
top_builddir =	@top_srcdir@

LTCOMPILE =	$(LIBTOOL) --mode compile
LTLINK =	$(LIBTOOL) --mode link
COMPILE =	$(LTCOMPILE) $(CC) -c $(CFLAGS) $(DEFS) $(INCLUDES) $(CPPFLAGS)

LTTARGET =	$(TARGET:.a=.la)
LTADDLIBS =	$(ADDLIBS:.a=.la)
LTOBJECTS =	$(OBJECTS:.o=.lo)
LTCLEAN =	$(CLEAN:.o=.lo)

.SUFFIXES:	.l .y .m .cc
.c.o:
		$(COMPILE) $<
.m.o:
		$(COMPILE) $<
.cc.o:
		$(COMPILE) $<
.y.c:
		$(YACC) $(YFLAGS) -d $<
		mv y.tab.c $*.c
		cmp -s y.tab.h $*.h || cp y.tab.h $*.h
.y.h:
		$(YACC) $(YFLAGS) -d $<
		mv y.tab.c $*.c
		cmp -s y.tab.h $*.h || cp y.tab.h $*.h

SHELL =		/bin/sh

$(LTTARGET) :	$(OBJECTS) $(ADDLIBS)
		$(LTLINK) $(CC) -rpath $(libdir) -o $(LTTARGET) -version-info \
		    $(VERSION) $(LDFLAGS) $(LTOBJECTS) $(LTADDLIBS) $(LIBS)

check :		$(LTTARGET)

clean :
		$(LIBTOOL) --mode uninstall $(RM) $(LTCLEAN) $(LTTARGET) core
		$(RM) -r .libs

distclean :	clean
		$(RM) $(DISTCLEAN)

print :
		$(LPR) $(HEADERS) $(SOURCES)

install :	$(LTTARGET)
		$(INSTALL) -d $(libdir)
		$(LIBTOOL) --mode install $(INSTALL) $(LTTARGET) $(libdir)
		$(RM) -r $(includedir)/GToolKit
		$(INSTALL) -d $(includedir)/GToolKit $(datadir)/aclocal
		$(INSTALL_DATA) $(HEADERS) $(includedir)/GToolKit
		$(INSTALL_DATA) $(top_builddir)/gtoolkit.m4 $(datadir)/aclocal

uninstall :
		$(LIBTOOL) --mode uninstall $(RM) $(libdir)/$(LTTARGET)
		$(RM) -r $(includedir)/GToolKit $(datadir)/aclocal/gtoolkit.m4

html :
		$(RM) -r $(top_builddir)/$@
		cd $(top_builddir) && objcdoc $@ GToolKit GToolKit

classes.in :
		./mkclasses --add GtkAccelGroup --add GtkMenuFactory \
			    --exclude GtkType --path gtk \
			    @GTK_PREFIX@/include/gtk/*.h | sort >$@

genclean :	classes.in
		$(RM) GToolKit.h `sed 's/^[^;]*;\([^;]*\);.*/\1.h/' classes.in`
		$(RM) GToolKit.m `sed 's/^[^;]*;\([^;]*\);.*/\1.m/' classes.in`
		$(RM) -r $(top_builddir)/html GTKMain.h GTKMain.m classes.in

gen :		classes.in
		./gtkgen --output GToolKit.m --package GToolKit --strict \
			 @GTK_PREFIX@/include/gtk/*.h

makefile :	clean
		mfg -o Makefile.in $(TARGET) *
		mfg -o Makefile.gnustep -c gsconfig -f gslib $(TARGET) *
#		mfg -o Makefile.os2 -f lib.os2 `expr $(TARGET) : 'lib\(.*\)'` *

#>		--- do not remove this line ---

Force_Update :

GTKGladeXML.o :	GTKGladeXML.m

GTKAction.o :	GTKAction.m

GToolKit.o :	GToolKit.m

GTK.o :	GTK.m

GTKApplication.o :	GTKApplication.m
